Eclipse Platform Release 3.7

## org.eclipse.debug.core.commands
Interface IRestartHandler

All Superinterfaces:
  IDebugCommandHandler

    public interface IRestartHandler

extends IDebugCommandHandler

A restart command allows the debugger to quickly restart the current debug session without terminating and re-launching.

Clients may implement this interface. The debug platform provides a restart action that delegates to this handler interface. Platform does not provide a default implementation of this handler, so to enable this action the debugger implementation must provide one.

Since:
  3.6

Method Summary

Methods inherited from interface org.eclipse.debug.core.commands.IDebugCommandHandler
`canExecute, execute`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.